import logging
import argparse
from datetime import datetime


def timestamp(v):
    return datetime.strptime(v, '%Y-%m-%d %H:%M:%S')


def default_parser():
    parser = argparse.ArgumentParser()
    parser.add_argument('-v', '--verbose', action='store_true')
    return parser


def configure_logging(args):
    level = logging.DEBUG if getattr(args, 'verbose', False) else logging.WARN
    logging.basicConfig(level=level, format='%(message)s')
